Bug 434149 - DPI wrong when using DualHead option
DPI wrong when using DualHead option
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-nv (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-22 08:23 EST by Nate Straz
Modified: 2013-11-05 14:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-05 14:18:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.0.log with DualHead option enabled (58.10 KB, text/plain)
2008-02-22 08:23 EST, Nate Straz
no flags Details

  None (edit)
Description Nate Straz 2008-02-22 08:23:02 EST
Description of problem:

While trying to use the DualHead option with a nVidia Quadro FX 330, the DPI
calculated is wrong and pixmaps are drawn too large.

xdpyinfo shows:

screen #0:
  dimensions:    2560x1024 pixels (380x313 millimeters)
  resolution:    171x83 dots per inch

when without the DualHead option I get:

screen #0:
  dimensions:    1280x1024 pixels (382x313 millimeters)
  resolution:    85x83 dots per inch

Version-Release number of selected component (if applicable):
xorg-x11-drv-nv-2.1.6-5.el5
xorg-x11-server-Xorg-1.1.1-48.36.el5

How reproducible:
100%

Steps to Reproduce:
1. Connect two screens to a Dell Precision 470
2. Add 'Option "DualHead"' to config
3. startx
4. check xdpyinfo or open firefox
  
Actual results:
See above and Xorg.0.log, soon to be attached.

Expected results:
When using the DualHead option the width of both screens should be added, or at
least the width of the first screen doubled.

Additional info:

I can work around this by running `startx -- -dpi 85` but I don't know what
option to set in xorg.conf to do this.  I tried using the "DisplaySize" option,
but that did not work.
Comment 1 Nate Straz 2008-02-22 08:23:02 EST
Created attachment 295623 [details]
/var/log/Xorg.0.log with DualHead option enabled
Comment 2 Nate Straz 2008-02-26 16:52:39 EST
This probably should be a separate bug but I noticed that power management
doesn't work on the second head either.  The first head will power down while
the second stays on.
Comment 3 Wolfgang Rupprecht 2012-03-15 11:46:28 EDT
I see this bug on dualhead on an ati card too.  DPI is off by a factor of 2 with 2 identical monitors in use.  Seen on:

xorg-x11-drv-ati-6.14.3-4.20120201git36c190671.fc16.x86_64
xorg-x11-server-common-1.11.4-1.fc16.x86_64
xorg-x11-server-Xorg-1.11.4-1.fc16.x86_64
xorg-x11-server-Xephyr-1.11.4-1.fc16.x86_64
Comment 4 Adam Jackson 2013-11-05 14:18:24 EST
No further X updates are planned for RHEL5.

Note You need to log in before you can comment on or make changes to this bug.